blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
52db45a9b95aa0aced4aa80f0ad003401e2d5c02
Shell
F43nd1r/Acrarium
/listDockerTags.sh
UTF-8
321
3.40625
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash IMAGE_NAME="f43nd1r/acrarium" VERSION="$(git describe --abbrev=0)" if [[ ${VERSION} == v* ]]; then VERSION=${VERSION#v} fi function tag { echo "${IMAGE_NAME}:$1" echo "ghcr.io/${IMAGE_NAME}:$1" } #tag "latest" #if [[ $VERSION =~ ^[0-9]+(\.\d+)*$ ]]; then # tag "stable" #fi tag $VERSION tag "next"...
true
b6246d09ea6188e5df1a3a310694fa9b746faa56
Shell
takubo/bin
/mk_base_chng
UTF-8
257
2.984375
3
[]
no_license
#!/bin/sh bases="b o d h x" for i in ${bases} ; do for j in ${bases} ; do if [ ${i} != ${j} ] ; then #rm ${HOME}/bin/${i}2${j} ln -s ${HOME}/bin/base_change.sh ${HOME}/bin/${i}2${j} fi done done rm ${HOME}/bin/h2x ${HOME}/bin/x2h
true
67364cd2d4d3b0807dc565e872d50586d1e20d0d
Shell
Yogesh6790/BashScripts
/While-Script.sh
UTF-8
88
2.90625
3
[]
no_license
#!/bin/bash INDEX=1 while [ $INDEX -lt 5 ] do echo "INDEX: $INDEX" ((INDEX++)) done
true
74d82cfa1d7a8278a728360f59fd2e464ede820b
Shell
chaotic-aur/pkgbuild-kimap2-git
/PKGBUILD
UTF-8
1,117
2.671875
3
[]
no_license
# Merged with official ABS kimap2 PKGBUILD by João, 2021/01/31 (all respective contributors apply herein) # Maintainer: João Figueiredo & chaotic-aur <islandc0der@chaotic.cx> # Contributor: Felix Golatofski <contact@xdfr.de> # Contributor: Marco Scarpetta <marcoscarpetta02@gmail.com> # Contributor: Jens Staal <staal197...
true
2a9a590d996f49e2801ce9147bb88724fd591371
Shell
mattvanhorn/serotina
/scripts/solano-pre_hook.sh
UTF-8
1,423
3.203125
3
[]
no_license
#!/bin/bash # Solano CI pre_hook setup hook - Ensure dependencies are installed # See http://docs.solanolabs.com/Setup/setup-hooks/ set -e # Exit on error export PATH=/usr/lib/erlang/bin:/usr/lib/elixir/bin:$PATH # Ensure specific version of erlang is installed ERLANG_VER=`erl -eval 'erlang:display(erlang:system_in...
true
69c3e0b6fe07a96333f4ed089d327b1aefe401f4
Shell
t-crest/patmos-misc
/experiments/function_splitter/run_wcet.sh
UTF-8
9,674
3.296875
3
[]
no_license
#!/bin/bash # # Author: Stefan Hepp <stefan@stefant.org> # # Compile and run various benchmarks and collect the pasim statistics. # To add new setups, just add new collect_stats lines. Already existing # results will be skipped, the script will only evaluate missing configurations. # # TODO port this to ruby, integra...
true
d325b4de6deedb842e1c2ce8715f81f5bf84ad2e
Shell
tarekel96/numbers
/numbers.sh
UTF-8
289
3.546875
4
[]
no_license
#!/bin/bash # numbers.sh # Tarek El-Hajjaoui echo "Type a positive integer: " counter=0 read INTEGER while [ $counter -le "$INTEGER" ]; do if [ $(( counter % 2 )) == 1 ]; then echo $counter "Odd" counter=$((counter + 1)) else echo $counter "Even" counter=$((counter + 1)) fi done
true
6c3fbc538cfa42c95637f0fe1021c71c10e76ead
Shell
delkyd/alfheim_linux-PKGBUILDS
/xcolorsel/PKGBUILD
UTF-8
1,409
2.578125
3
[]
no_license
# Maintainer: Christian Neukirchen <chneukirchen@gmail.com> pkgname=xcolorsel pkgver=1.1a _debver=17 pkgrel=2 pkgdesc="display and grab colors in X" arch=(i686 x86_64) url="http://packages.debian.org/stable/x11/xcolorsel" license=('GPL') depends=(libxaw) makedepends=(imake) source=(http://ftp.de.debian.org/debian/pool/...
true
461aa2e61d347b1b98e9ec443fadf389a6bc7d78
Shell
ymxl85/MRs-based-test-suite-for-APR
/ExampleSec2/gzip1/TS/repairT2
UTF-8
726
3.578125
4
[]
no_license
#!/bin/bash set -euo pipefail # Usage: ./repair SUBJECT VERSION # # Top script for executing repair cd "$(dirname "${BASH_SOURCE[0]}")" usage="Usage: ./repair SUBJECT VERSION" if [[ $# > 0 ]]; then subject="$1" shift else echo "$usage" exit 1 fi if [[ $# > 0 ]]; then version="$1" shift els...
true
76904f3ee7b0b520e32fb033aaf49fa52280cdf4
Shell
hanschen/PSU_WRF_EnKF
/module_enkf.sh
UTF-8
3,896
3.359375
3
[]
no_license
#!/bin/bash . $CONFIG_FILE rundir=$WORK_DIR/run/$DATE/enkf if [[ ! -d $rundir ]]; then mkdir -p $rundir; echo waiting > $rundir/stat; fi cd $rundir if [[ `cat stat` == "complete" ]]; then exit; fi wait_for_module ../../$PREVDATE/wrf_ens ../obsproc #Run EnKF echo running > stat domlist=`seq 1 $MAX_DOM` for n in $do...
true
a63c441b1a91b43bd7123033c2e2e882850a8525
Shell
barretobrock/pitools
/api/homerouting/load_homerouting_api.sh
UTF-8
472
3.203125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # LOADS HOSTS API SERVICE INTO SYSTEMD SERVICEFILE=homerouting_api.service API_FPATH=~/extras/pitools/api/homerouting/${SERVICEFILE} LIB_FPATH=/lib/systemd/system/${SERVICEFILE} # Copy the service file to lib sudo cp ${API_FPATH} ${LIB_FPATH} # Set permissions on it - owner has r/w perms, everyone...
true
1cd6e934f5d42c87c5eec294850ace68fc59d0d7
Shell
qianliu93/MNXB01-learn
/cityandyear.sh
UTF-8
6,247
3.890625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash ######################################################################## # # cityandyear.sh.pseudocode - MNXB01-2021 Homework 3 # # Author: Florido Paganelli florido.paganelli@hep.lu.se # # Description: This script takes as input # - a directory where SMHI files are stored, # ...
true
f88a50182798f9d43b824aacaae1c645d2231bb7
Shell
lakhlaifi/RedHat-Ansible
/setup-ansible.sh
UTF-8
658
3.265625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash #Install Python 2.7 # Create a User to automate with Ansible # CP virt folder to your user home directory # Add aliases to your user .bashrc # you can use virtansible27 virtansible23 virtansiblelatest to activate virtualenv echo "Setup Ansible in your Workstation !" read -p "Create User for ansible : ...
true
a4497251423d31947c5d61ea68eca40d85c59105
Shell
rewrygouveia/personal
/connect-old.sh
UTF-8
13,284
3.359375
3
[]
no_license
#!/bin/bash export USER="rewry.menezes" export GROUP="wheel" # Colors Shell red="\033[0;31m" green="\033[0;32m" yellow="\033[0;33m" end="\033[0m" bold=$(tput bold) normal=$(tput sgr0) master_password="<senha-master>" pathdb="/home/rewry.menezes/bin/Linux/PuTTy" db="$pathdb/database.csv" script="$pathdb/connect.sh" t...
true
7a55451c739bc23b5126c61e39de4dbf827c8cf7
Shell
stjohnjohnson/dotfiles
/.bashrc
UTF-8
3,011
3.078125
3
[]
no_license
# Source .bashrc for non-interactive Bash shells export BASH_ENV=~/.bashrc if [[ $- != *i* ]] ; then # Shell is non-interactive. Be done now! return fi # Get the OS OS=$(uname | awk '{print tolower($1)}') _setaliases() { alias ls='ls -G' alias ll='ls -ahlG' alias grep='grep --color=auto' alias p="ps aux...
true
b97f3c784f80684241e6b4f8aa3e23be614dc1a8
Shell
google-code/apk-parser
/apk_center/script/extract_url.sh
UTF-8
238
2.671875
3
[]
no_license
#echo "checking $1" #find $1 -name "*_d" -type d -exec find {} -type f -exec /home/fxp/extracturl.sh \; #find $1 -name "*_d" -type f -exec find {} -type f \; find $1/decoded/apktool/ -type f -exec ./_extract_url.sh {} \; |sort|uniq >$2
true
438412922e2891b4aad1c980c3935dbc7c0ad0c3
Shell
sjackman/dotfiles
/.zshrc
UTF-8
1,291
2.765625
3
[]
no_license
# Enable Homebrew. if [[ $(uname -s) = Linux ]] && ! command -v brew >/dev/null; then eval $(~/.linuxbrew/bin/brew shellenv) fi # Enable Starship. eval "$(starship init zsh)" # Customize zsh setopt hist_ignore_all_dups hist_ignore_space noclobber pipefail share_history autoload -U select-word-style select-word-st...
true
077c7ea3145799c90d334fdadce8b88e07577fcb
Shell
aladram/miniMinecraft
/compile_shader.sh
UTF-8
236
3.296875
3
[]
no_license
#!/bin/sh if [ $# -ne 2 ]; then echo Usage: $0 input_file output_file >&2 exit 1 fi (cat $1 && cat /dev/zero | head -c 1) \ | xxd --include /dev/stdin \ | sed "s/_dev_stdin/$(basename $1 | cut -d. -f1)_shader_src/g" \ > $2
true
c378b9e4b441294ccf1e0895c656032203ed5d87
Shell
nghiattran/scripts
/functions.sh
UTF-8
1,418
3.390625
3
[]
no_license
aa() { echo -e "alias ${1}='${2}'" >> ~/.bash_alias && load } ad() { sed '/alias ${1}=/d' -i ~/.bash_alias } au() { ad ${1} && aa ${1} ${2} && load } deploy() { message="Deploy branch ${1}? (y/N): " read -p "$message" -r if [[ $REPLY == y ]] then echo git checkout master && git pull && git mer...
true
d4ece9fa1a73bd9ada9951bc8bbca3986614db18
Shell
Retronova/retronova
/bluetooth.sh
UTF-8
17,113
3.8125
4
[]
no_license
#!/usr/bin/env bash # This file is part of The RetroPie Project # # The RetroPie Project is the legal property of its developers, whose names are # too numerous to list here. Please refer to the COPYRIGHT.md file distributed with this source. # # See the LICENSE.md file at the top-level directory of this distribution ...
true
dc9861c9643d56807a3c70548f5f183dcbe23a39
Shell
vakxden/scripts
/vakxden-home-desktop/root/freedns_update.sh
UTF-8
452
3.15625
3
[]
no_license
#!/bin/sh #FreeDNS updater script UPDATEURL="http://freedns.afraid.org/dynamic/update.php?VEBkTzhxMzFVMVVBQURPcFZWOEFBQUFROjc4NTE1NzA=" DOMAIN="vakxden.crabdance.com" registered=$(nslookup $DOMAIN|tail -n2|grep A|sed s/[^0-9.]//g) current=$(wget -q -O - http://checkip.dyndns.org|sed s/[^0-9.]//g) [ "$current" != "$r...
true
01a8b51b2265e4dfebeb6cc2094512de5bf9f946
Shell
zhangccc/deploy_scripts
/centos6/ambari-server/start.sh
UTF-8
3,836
3.890625
4
[]
no_license
#!/bin/bash function print_usage(){ echo "Usage: start [-options]" echo " where options include:" echo " -help 帮助文档" echo " -http_port <port> http服务端口号" echo " -ambari_ip <ip> ambari-server所在主机的IP" echo " -hostname <hostname> 暂不支持在此脚本内修改,此处不添加该参数或设定参数为...
true
20e271b6fe13faf2ff470c9ae01178c253bd7f4e
Shell
multimac59/ajrdatabase
/buildFrameworks
UTF-8
7,016
3.90625
4
[]
no_license
#! /bin/sh # buildFrameworks #---------------------------------------------------------------------------------------- # Script Name: buildFrameworks # # Edit Number: 000002 # # Description: This file is a shell script which will cause the compilation of # an XCode project in the current directory and install...
true
b6ed52427c7cd6c73122c6336ef3975374c2fa21
Shell
fg123/yate
/utils/generate-syntax-lookup
UTF-8
901
3.421875
3
[]
no_license
#!/bin/bash syntax_folder="${0%/*}/../src/syntax" cd $syntax_folder syntaxes=$(echo *.cc | sed 's/\.cc//g') echo "#include \"syntax-lookup.h\"" echo "#include <map>" echo "#include <string>" for syntax in $syntaxes; do echo "#include \"syntax/$syntax.h\"" done echo "std::map<std::string, Syntax*> SyntaxHighlighti...
true
1ab42409eee0e641f1231ab3d23f2961202b166d
Shell
aalishe/samsahai
/internal/samsahai/plugin/example-shell.sh
UTF-8
1,966
3.828125
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash checkerName="example" errRequestTimeout="request timeout" errNoDesiredComponentVersion="no desired component version" ErrImageVersionNotFound="image version not found" get_name(){ echo ${checkerName} } get_component() { name=$1 if [[ "$name" == "Kubernetes" ]]; then echo "k8s"...
true
7961057e99e96f847b83955a1717681f4ab1e02d
Shell
LinuxStandardBase/puppet-lsb
/modules/ftp/files/cron/update-manifests/manifest_rebuild_s.sh
UTF-8
713
3.03125
3
[]
no_license
#!/bin/sh -e rm -rf distribution-checker bzr export distribution-checker http://bzr.linuxfoundation.org/lsb/devel/distribution-checker cat distribution-checker/utils/Tests/templates/*.mnf.tpl distribution-checker/utils/Tests/templates/manual/*.mnf.tpl >Manifest.tpl ./distribution-checker/utils/manifest_gen.pl --dir /...
true
60dffa2d16494b09927b06775af3324487ad9da0
Shell
weikinhuang/dotfiles
/dotenv/darwin/prompt.sh
UTF-8
149
2.65625
3
[ "MIT" ]
permissive
# shellcheck shell=bash # function to get cpu load function __ps1_proc_use() { echo -n "$(/usr/sbin/sysctl -n vm.loadavg | \awk '{ print $2 }')" }
true
a9b17f4205d00ada0b94666fd7e2320c93971ff5
Shell
splinterofchaos/fu
/run-tests.sh
UTF-8
250
3.0625
3
[ "Unlicense" ]
permissive
#!/bin/sh if [ "$CXX" = "clang++" ]; then export EXTRA="-stdlib=libc++ -I/usr/include/c++/v1"; fi for file in test/* do echo "compiling ${file}..." $CXX $file -std=c++14 -Iinclude -Wall -Wextra -Werror $EXTRA || exit 1 ./a.out || exit 1 done
true
1cd18517e362e801a425e46aec8e7e1db5fc3dca
Shell
timurgaleev/baseimage-docker
/vagrant-libs/bootstrap.sh
UTF-8
1,260
2.734375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -eux # Update Packages sudo apt-get update # sudo apt-get -y upgrade # sudo apt-get -y dist-upgrade # Install Packages sudo apt-get install -y build-essential checkinstall libreadline-gplv2-dev \ libncursesw5-dev libssl-dev libsqlite3-dev tk-dev libgdbm-dev libc6-dev \ libbz2-dev libff...
true
040b112a9f5f7d4745a74d2b4f4f02c10899a75a
Shell
vmware-archive/voltage-buildpack
/bin/supply
UTF-8
379
3.359375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash -e # bin/supply <build-dir> <cache-dir> <deps-dir> <index> # The build directory for the app. BUILD_DIR=$1 # To store assets needed during build (currently unused). CACHE_DIR=$2 # App dependencies are stored in $DEPS_DIR/$INDEX_DIR. DEPS_DIR=$3 INDEX_DIR=$4 BIN_DIR=$(cd $(dirname $0); pwd) BUILDPACK_DIR...
true
5fb74fa185f65de5a38e52b13c91ca98ec3086b0
Shell
ned1313/mesosexamples
/Mesos new/scripts/startmesos.sh
UTF-8
215
3.09375
3
[]
no_license
#!/bin/bash APP=$1 IPMASTER="192.168.33.46" if [ -f $APP".json" ]; then curl -X POST -H "Content-Type: application/json" $IPMASTER:8080/v2/apps -d@$APP".json" else echo "No valid JSON file found" fi exit 0
true
addf80a01b2e98e3e0e07ac5352b30e6210c6d95
Shell
RobertsGhostBusterFan/CustomBuilds
/script_dev/enable_r8187se.sh
UTF-8
1,452
3.328125
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash sudo mount -o remount,rw / cd /etc/modprobe.d/ if [ ! -e /etc/modprobe.d/blacklist.conf ]; then echo blacklist.conf not found. create it. sudo sh -c "echo 'install rtl8180 /bin/false' >> blacklist.conf" sudo sh -c "echo 'install r8180 /bin/false' >> blacklist.conf" echo blacklist.conf created. els...
true
a513422ba500e95cbbb1a4fb9b4b2f582e91b708
Shell
xdhub/cifar-ten
/grabDependencies.sh
UTF-8
1,428
3.3125
3
[]
no_license
#!/bin/bash function createDirectories() { echo Creating data directories. mkdir data mkdir data/cifarKaggle mkdir data/cifarKaggle/test mkdir data/cifarKaggle/train } function downloadFiles() { echo Downloading data. pushd . cd data if [ -e mnist.pkl.gz ] then echo ...
true
02e3dfcbe3ab80106847873faa1fba1400cc944a
Shell
UKHO/vm-agent-aib
/customscriptextension.sh
UTF-8
2,424
3.171875
3
[ "MIT" ]
permissive
#!/bin/bash echo "########### CONFIGURING SWAP FILE ###########" sed -i 's/ResourceDisk.Format=n/ResourceDisk.Format=y/' /etc/waagent.conf sed -i 's/ResourceDisk.EnableSwap=n/ResourceDisk.EnableSwap=y/' /etc/waagent.conf sed -i 's/ResourceDisk.SwapSizeMB=0/ResourceDisk.SwapSizeMB=8192/' /etc/waagent.conf umount /mnt ...
true
041b2134cc94bea76016ac8958d54b8388d5e692
Shell
gberaudo/cesium-cli-swisstopo-terrain
/send_s3.sh
UTF-8
1,064
3.28125
3
[]
no_license
#!/bin/bash export bucket="XXXXXXXXX" common_params="--acl public-read --content-encoding gzip --cache-control 'public, max-age=86400'" function print_aws_env { echo -n AWS_SECRET_ACCESS_KEY="$AWS_SECRET_ACCESS_KEY" AWS_ACCESS_KEY_ID="$AWS_ACCESS_KEY_ID" " " } function aws_sync { src=$1 shift print_aws_en...
true
cfd656f9ae93946caf05bc750eecdc08a1762714
Shell
John-Chan/CultureShows
/CultureShows/scripts/generateImageResources.sh
UTF-8
305
2.96875
3
[ "Apache-2.0", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
# given a folder, generate this code to be used in a ClientBundle or ui.xml folder=$1; for i in $(ls $folder) do base=${i%.*} #echo "@Source(\"$folder/$i\")" #echo "ImageResource $base();" echo "<ui:image field=\"$base\" src=\"$folder/$i\" />" echo "<g:Image resource=\"{$base}\" />" echo "" done
true
992b183864228f7af957b478cea7b5bf894f87d8
Shell
jcoreyes/PageRank
/PageRankCutOff/script.sh
UTF-8
648
2.953125
3
[]
no_license
#!/bin/bash testFile=$1 echo $testFile rm input.txt python pagerank_map.py < "../rankmaniac-lib/local_test_data/$testFile" | sort | python pagerank_reduce.py | python process_map.py | sort | python process_reduce.py > input.txt for i in $(seq 1 49); do python pagerank_map.py < input.txt | sort | python pagerank...
true
0107c712c0325ae3e9a1e76bffec18fedc5f6ea0
Shell
dragonresearch/rpki.net
/potpourri/verify-bpki.sh
UTF-8
1,519
3.28125
3
[ "BSD-3-Clause" ]
permissive
#!/bin/sh - # $Id$ # # Copyright (C) 2009-2010 Internet Systems Consortium ("ISC") # # Permission to use, copy, modify, and distribute this software for any # purpose with or without fee is hereby granted, provided that the above # copyright notice and this permission notice appear in all copies. # # THE SOFTWARE IS...
true
a8666c735dad16ae8dcca425e74662f0a4db1131
Shell
TECLIB/fastlane-plugin-xcov_report
/ci/scripts/release.sh
UTF-8
1,474
3.46875
3
[ "MIT", "CC-BY-4.0" ]
permissive
#!/bin/bash GITHUB_COMMIT_MESSAGE=$(git log --format=oneline -n 1 ${CIRCLE_SHA1}) if [[ $GITHUB_COMMIT_MESSAGE != *"ci(release): generate CHANGELOG.md for version"* ]]; then # Generate CHANGELOG.md and increment version IS_PRERELEASE="$( cut -d '-' -f 2 <<< "$CIRCLE_BRANCH" )"; if [[ $CIRCLE_BRANCH != "...
true
257d41ecebf5694fc947188404897299c2e2bf9b
Shell
kinsamanka/mk_image_builder
/Cubieboard2/custom_apps.sh
UTF-8
1,043
2.71875
3
[]
no_license
#!/bin/bash -ex KERNEL=linux-image-4.4.0-0.bpo.1-armmp-lpae # update packages cp /etc/resolv.conf ${ROOTFS}/etc/resolv.conf retry 5 proot-helper apt-get update retry 5 proot-helper apt-get -y upgrade # create fstab entry echo -e "/dev/mmcblk0p1\t/\text4\trelatime,errors=remount-ro\t0\t1" \ > ${ROOTFS}/etc/fstab ...
true
90c6f0185c48e010753ff6f34b463e07e55d6bf1
Shell
gitDream/lnmp
/bin/lnmp-laravel
UTF-8
946
3.640625
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # # https://github.com/laravel/laravel # set -e if [ "$1" = 'new' ] && [ -z "$2" ];then echo "please input path" exit 1 fi DIR="$( cd "$( dirname "$0" )" && pwd )" source $DIR/.arch if ! [ -d "$2" ];then docker run -it --rm \ --mount type=bind,src=$PWD,target=/app,consistency=delegate...
true
8a4179423e240f3c22a87a52200e0640764b5924
Shell
cttibbetts/stuff
/scripts/vboxguestadd
UTF-8
551
3.109375
3
[]
no_license
#!/bin/bash # Make sure only root can run if [[ $EUID -ne 0 ]]; then echo "This script must be run as root" 1>&2 exit 1 fi yum install -y gcc make yum install -y "kernel-devel-uname-r == $(uname -r)" yum groupinstall -y "X Window System" pushd /tmp # at this location is a file called LATEST.txt (I think) tha...
true
4e5a76edfce954d0156d37f7fd9a2b30c1ad997a
Shell
SHyx0rmZ/concourse-debian
/concourse-worker/concourse-retire-worker
UTF-8
548
3.390625
3
[ "MIT" ]
permissive
#!/bin/bash HOST_ADDRESS=$(ifconfig eth0 | grep -E 'inet\b' | awk '{ print $2 }') HOST_NAME=$(hostname) if [ -f /etc/concourse/worker ]; then source /etc/concourse/worker fi for VAR in "${!CONCOURSE@}"; do export "${VAR}" done export CONCOURSE_NAME="${CONCOURSE_NAME:-${HOST_NAME}}" /usr/bin/concourse retire-wo...
true
5324fae121f41d65f115d0f95051dbf1f90a7714
Shell
mafintosh/linux
/build.sh
UTF-8
1,523
3.09375
3
[]
no_license
#!/bin/sh # prerequisites: wget, apt-get install squashfs-tools/brew install squashfs export TCL_SERVER=http://tinycorelinux.net/6.x/x86_64 # generate ssh keypair ssh-keygen -f hypercore.rsa -t rsa -N '' # download rootfs + kernel wget -c $TCL_SERVER/release/distribution_files/{corepure64.gz,vmlinuz64} # download p...
true
cb8c07f79627775b1fe92488377f1c7022ee7ff0
Shell
ideal/archlinux-community
/python-ipykernel/repos/community-any/PKGBUILD
UTF-8
1,713
2.546875
3
[]
no_license
# $Id$ # Maintainer: Kyle Keen <keenerd@gmail.com> pkgbase=python-ipykernel pkgname=(python-ipykernel python2-ipykernel) pkgver=4.9.0 pkgrel=1 pkgdesc="The ipython kernel for Jupyter" arch=('any') url="https://pypi.org/project/ipykernel/" license=('BSD') makedepends=('python-setuptools' 'python2-setuptools' ipython 'i...
true
021f6d86dbf5cfccb1bbedb9991dd3968ff94c72
Shell
nathan-backman/cmsc491-SPE
/profiler/run_tests.sh
UTF-8
806
3.90625
4
[ "MIT" ]
permissive
#!/bin/bash echo "Starting Execution of Test Suite" echo "--------------------------------" successes=$((0)) failures=$((0)) cd profiler for testDir in */; do testName="${testDir%?}" echo -n "Running test [$testName]: " cd $testName /usr/bin/time -f "\tUser Time: %U\n\tSystem Time: %S\n\tWall Clock: %E" ...
true
09357402be7a58f40fba13c74d758223d1ff7b32
Shell
Shurakai/dotfiles
/install-packages.sh
UTF-8
1,144
3.265625
3
[]
no_license
#!/bin/zsh typeset -A packages # suckless-tools = dmenu # xloadimage = background-image and fill borders with background-color # xscreensaver = lock workspace packages=(xmonad 'xmonad xmobar suckless-tools xloadimage xscreensaver' colordiff colordiff screen "screen" "rxvt-unicode-256color" "rxvt-unicode-256color" git ...
true
0b998fbd089e10ee07af6f4fc57c843ed033140c
Shell
marta-seq/peptidereactor
/peptidereactor/docker/delete_container
UTF-8
197
3.15625
3
[ "MIT" ]
permissive
#!/usr/bin/env bash read -p "Delete all (running) container and images? (y/n)" -n 1 -r echo if [[ $REPLY =~ ^[Yy]$ ]] then docker rm $(docker ps -a -q) docker rmi $(docker images -q) fi
true
16ee5dce5b698f0815954adfac138d723269a5b1
Shell
juarezjuniorgithub/adf-pipeline
/ip_fwd.sh
UTF-8
4,048
4.1875
4
[ "MIT" ]
permissive
#!/bin/bash #------------------------------------------------------------------------- # Copyright (c) Microsoft Corporation. All rights reserved. # Licensed under the MIT License. #-------------------------------------------------------------------------- usage() { echo -e "\e[33m" echo "usage: ${0} [-i <eth_inte...
true
062917b882cd65648dc0866dd788fddb2eccaa69
Shell
salvage0707/my-shell
/support/select_num_menu
UTF-8
796
3.828125
4
[]
no_license
#!/bin/bash # 参考リンク # インポート import read_select_num # ======================================================= #【 数字選択メニュー関数】 # @param $1 選択肢の配列 # # @return select_num_menu_res 処理結果 # ======================================================= function select_num_menu() { # -------------- # 変数 # -------------- ...
true
445cdae4eafa2d4919b8b1d60eee8e727443641f
Shell
applenob/delta
/egs/iemocap/emo/v1/run.sh
UTF-8
1,348
3.21875
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
. ./path.sh set -e start_stage=0 end_stage=6 iemocap_root=/export/corpus/iemocap # dataset root dir . utils/parse_options.sh # e.g. this parses the --stage option if supplied. if [[ $start_stage -le 0 && ! -d "data" ]]; then echo "mkdir data" mkdir data fi #1. link `iemocap dir` to `sessions` if [[ $star...
true
f7a46fd50dc792b746325c71ce5201508bc15aa1
Shell
iamtcby5188/work
/idbbondserver-midware/deploy_young/deploy_1.7.5_remote.sh
UTF-8
1,290
3.140625
3
[]
no_license
#!/bin/sh echo '******************************************AUTO-DEPLOY.SH STATR*******************************************' DEPLOY_IP1=172.16.96.73 DEPLOY_IP2=172.16.96.74 function stop_server() { expect -c " spawn ssh root@$1 expect (yes/no)? { send yes\r } expect *password* { send 123456\r } expect \"]#\...
true
58358f9d4d7d4ed349b2b19a297b8c67e7917880
Shell
vikash288/Automation
/sharesale/DataEngineering/shell_scripts/sharesale/parse_feed_sharesale_pricefalls.sh
UTF-8
1,180
3.515625
4
[]
no_license
#!/bin/bash OPTIND=1 input_file="" input_dir="" retailer="" while getopts "d:f:r:" opt; do case "$opt" in d) input_dir=$OPTARG ;; f) input_file=$OPTARG ;; r) retailer=$OPTARG ;; esac done shift $((OPTIND-1)) parse_file() { >&2 echo "parsing $1, $2" ...
true
69b0bcc21fb5ab77c187556508469a1e05002884
Shell
vijayg92/puppet
/grid/files/python-web
UTF-8
1,990
3.78125
4
[]
no_license
#!/bin/bash global_variables() { doc_root=/appl/stats/webdocs port_no=9999 log_dir=/logs/python_web logfile=$log_dir/startup.log pidfile=$log_dir/python_web.pid if [ ! -d ${log_dir} ] then mkdir ${log_dir} fi } ##################### Don't Modify Beoynd This ##################...
true
12b68de17b377796c69d01d45c5b9758d6da4013
Shell
petronny/aur3-mirror
/uf-fox/PKGBUILD
UTF-8
1,068
2.640625
3
[]
no_license
# Contributor: robb_force <robb_force@holybuffalo.net> pkgname=uf-fox _pkgname=uf-FOX pkgver=1.1 pkgrel=1 pkgdesc="A frontend for the uCON64 rom backup and management tool." url="http://ucon64.sourceforge.net/index.php" arch=('i686' 'x86_64') license="GPL" depends=('ucon64' 'fox-legacy' 'fox') source=(http://downloads....
true
ae81b786766a60bee8198272ddfadca050eaa26f
Shell
sun6903/Assignments
/Bridgelabz/Day14^Asignment/ValidLastName.sh
UTF-8
163
3.375
3
[]
no_license
#!/bin/bash -x shopt -s extglob read -p "Enter your last name " name pat="^[A-Z]{1}[a-z]{3}$" if [[ $name =~ $pat ]] then echo valid else echo invalid fi
true
c6e3dc5cdd5d78637c0815cef800dc72c445d0a4
Shell
jeaimehp/tacc-LS5-scripts
/goto_nid.bash
UTF-8
342
3.421875
3
[]
no_license
#!/bin/bash #This script uses ssh to open a multihop session to the chroot environment on a compute node blade_name=$1 #Check for input if [ -z "${blade_name}" ];then echo "Usage: goto_nid.bash <cname or nidname>"; exit fi echo "Opening the chroot (shared_root) environment on node "$1 ssh -t smw ssh -t boot ssh -t $...
true
1994978d615b81519ce42683d15fc3ba7f6d2956
Shell
djdefi/rpi-docker-minidlna
/run.sh
UTF-8
371
3.265625
3
[ "Unlicense" ]
permissive
#!/bin/bash set -e > /etc/minidlna.conf for VAR in `env`; do if [[ $VAR =~ ^MINIDLNA_ ]]; then minidlna_name=`echo "$VAR" | sed -r "s/MINIDLNA_(.*)=.*/\1/g" | tr '[:upper:]' '[:lower:]'` minidlna_value=`echo "$VAR" | sed -r "s/.*=(.*)/\1/g"` echo "${minidlna_name}=${minidlna_value}" >> /e...
true
486167e99eb786700c13fa11d02b7420433979f0
Shell
Connor-Grehlinger/Thread-Safe-DIY-Malloc-Free
/my_malloc/thread_tests/test_malloc_free.sh
UTF-8
222
2.5625
3
[]
no_license
#!/bin/bash for ((i = 0; i < 10; i++)) do echo ================================================== echo Running test $i ./thread_test_malloc_free echo ================================================== done
true
2aa0a8ebced9a137b96d7cc5338c3187c3753e6f
Shell
koebane82/lucious
/go/src/michael/unit_test.sh
UTF-8
267
3.140625
3
[]
no_license
#!/bin/bash os=$1 if [ ! -f ../../bin/${os}/listlus ];then ../../app/listlus/build.sh $os fi cd ../../bin/${os} args=("/" "/bin" "/usr") for arg in "${args[@]}";do echo "testing with '${arg}'" ls -l $arg ./listlus -plugin plugins/michael.so -arg $arg done
true
3ec4d0cddb9f5cd5c61e66edfcc4bd285af8ca44
Shell
yantraos/ybuild-fourth-stage
/yinsource/sys/ntp/preinstall
UTF-8
436
2.546875
3
[]
no_license
#!/bin/bash #©keithhedger Fri 13 Feb 12:10:33 GMT 2015 kdhedger68713@gmail.com . /usr/share/yinstal/yapi UIDGIDPAIR=$(findnextpair "system") useradd -c "Network Time Protocol" -d /var/lib/ntp -ru $UIDGIDPAIR -s /bin/false ntp||true cat > /etc/ntp.conf << "EOF" server 0.uk.pool.ntp.org server 1.uk.pool.ntp.org serve...
true
ba26d25a010f83fb31a62a201085cbc78abe89e5
Shell
bonfus/OSMSail
/build_libosmscout.sh
UTF-8
1,252
3.234375
3
[]
no_license
#!/bin/bash export PPATH=`pwd` mkdir -p "$PPATH/libs/$1" export LIBPATH="$PPATH/libs/$1" if [ -f $LIBPATH/libosmscout.a ] ; then echo "Library already compiled" else cd libosmscout ./configure --disable-shared --enable-static && make cp ./src/.libs/*.a "$LIBPATH/" cd .. fi export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:...
true
459c63f194b9e6ac61cc8bbca4aec89c92486fb8
Shell
amirbawab/image_recognition
/tools/bash/preprocess.sh
UTF-8
272
3.65625
4
[ "MIT" ]
permissive
#!/bin/bash # Print help message printHelp() { cat<<EOF Preprocess images Usage: ${0} <input-file> <output-file> EOF } # Starting function main() { if [[ ${#@} != 2 ]]; then printHelp else sed 's/,/ /g' $1 > $2 fi } # Start main $@
true
4e66b02ddb111d1fd665e25bf6651b460d93ee01
Shell
linyihan2013/leetcode
/bash/TansposeFile.sh
UTF-8
200
2.734375
3
[]
no_license
# Read from the file file.txt and print its transposed content to stdout. awk '{for (i=1;i<=NF;i++) {if (NR==1) {s[i] = $i;} else {s[i] = s[i]" "$i;}}} END {for(i=1;i<=NF;i++) {print s[i];}}' file.txt
true
34579bada2c28593e8047cdf79574caed5b8c365
Shell
mano8888/today
/create.sh
UTF-8
336
3.140625
3
[]
no_license
#!/bin/bash count_cont=$1 echo "creating some $count_cont containers....." sleep 2; for i in `seq $count_cont` do echo "=================" echo "cteating www.day$i containers" sleep 1 sudo docker run -it --name www.day$i mano8888/mydoc /bin/bash echo "www.day$i containers has been created" echo "=====...
true
7f01b1c3fdcb1f8086c1d5c5219665cff8dadab4
Shell
sonicguo/azure-signalr-bench
/Scripts/jenkins_functions.sh
UTF-8
5,843
3.203125
3
[ "MIT", "LicenseRef-scancode-generic-cla" ]
permissive
#!/bin/bash . ./jenkins_private_functions.sh # input Jenkinw workspace directory # this function is invoked in every job entry function set_global_env() { local relative_dir="azure-signalr-bench" local Jenkins_Workspace_Root=$1 if [ $# -eq 2 ] then relative_dir=$2 fi export JenkinsRootPath="$Je...
true
d5662e382a7c8b5ff73492e2789c49b1bef65c88
Shell
yasker/build-tools
/bin/cattle-binary-pull
UTF-8
781
3.921875
4
[]
no_license
#!/bin/bash set -e CATTLE_GLOBAL_PROPERTY=${1:-"./resources/content/cattle-global.properties"} DEST=${2:-"/usr/bin"} install_binary() { local src=${1} local dest=${2} pushd /tmp #deletes the longest possible match from the left file=$(echo ${src##*/}) curl -sSL -o ${file} ${1} suffix=$(e...
true
c5dcaade6c3571f44bd98c4705dbf1ea2e25e261
Shell
kyo88/shell_script
/hbase_hive_impala_fuka_test/HbaseHiveImpalaFukaLongerTest.sh
UTF-8
3,853
3.03125
3
[]
no_license
#!/bin/sh #------------------------------------------------------------------------- IMPALA_HOST=10.112.21.75 HIVE_HOST=10.112.21.76 HBASE_PUT_HOST01=hduser@10.112.21.45 HBASE_PUT_HOST02=hduser@10.112.21.46 HBASE_SCAN_HOST01=hduser@10.112.21.47 HBASE_SCAN_HOST02=hduser@10.112.21.48 HBASE_QUERRY_FILE=~/hbase_query.qr ...
true
4bb944a9feb0d70ccf159b813bc3f7c7a2b63c08
Shell
mariahito/studious
/lab6/averagetime.sh
UTF-8
667
3.34375
3
[ "MIT" ]
permissive
#!/bin/bash #Maria Hito(mh4wt) #file name: averagetime.sh echo "What is the name of the dictionary file?" read dict echo "What is the name of the grid file?" read grid time1=`./a.out $dict $grid | tail -1` time2=`./a.out $dict $grid | tail -1` time3=`./a.out $dict $grid | tail -1` time4=`./a.out $dict $grid | tail ...
true
2985cc71bd08c0d457bb77b10b90299456e5121d
Shell
mlromramse/buddy
/scripts/install-lxde-vnc.sh
UTF-8
674
3.140625
3
[]
no_license
#!/bin/bash echo "###################################################################" echo "# install-lxde-vnc.sh" echo "# Installing softwares" echo "## Install lxde xorg and tightvncserver" sudo DEBIAN_FRONTEND=noninteractive apt-get install -y lxde xorg tightvncserver echo "# Disable screensaver" sudo sed -i '/@x...
true
4014a98823ec6d6bebe1b405b4a0e6eafd03d90b
Shell
Sagar19RaoRane/paradigm-ctf-2021
/build
UTF-8
1,175
3.25
3
[]
no_license
#!/bin/bash set -euo pipefail build_challenge() { name="$1" solcv="${2:-}" tag="gcr.io/paradigm-ctf/$name:latest" if [ ! -z "$solcv" ]; then pushd "$name/public" ROOT_DIR="$(cd .. && pwd)" SOLC_VERSION="$solcv" solc "private=$ROOT_DIR/private/" "public=$ROOT_DIR/public/contra...
true
ddb6ee2c365423cfc204a6f525c741ffa7d38dc8
Shell
ntindall/cs244-assign-3
/download.sh
UTF-8
765
3.65625
4
[]
no_license
#!/usr/bin/env bash dir=`pwd` # Check for uninitialized variables set -o nounset ctrlc() { cd $dir exit } trap ctrlc SIGINT cd ~ rm -rf scratch mkdir scratch cd scratch function pageDownloadInitial(){ rm -rf $1 mkdir $1 cd $1 wget -Hp --user-agent="Mozilla/5.0 (X11; Linux x86_64) AppleWebK...
true
d55f837e0622b3264f35bb9f56da4363e5a9cecd
Shell
troshenkov/scripts
/routine/00_sshfs_automount.sh
UTF-8
548
3.71875
4
[]
no_license
#!/bin/bash # /etc/pm/sleep.d/00_sshfs_automount.sh # Unmount all sshfs mountpoints before suspending/hibernating # to prevent hanging sshfs after resume/thaw case $1 in hibernate | suspend) mountpoint_count=$(egrep -c '(/[^ ]+) fuse.sshfs' /etc/mtab) if [ $mountpoint_count -gt 0 ]; then mountpoints=($(awk '/(\/[...
true
12e104e1cdba255f7391287bd41702458bab569d
Shell
paulschaaf/dotfiles
/bin/psenv
UTF-8
487
4.15625
4
[]
no_license
#!/bin/sh # showenv - show environment of a process, by PID # If second argument given, show just that environment variable f=/proc/$1/environ if [ ! -r "$f" ]; then echo "`basename $0`: can't access process $1" 1>&2 exit 1 fi case $# in 1) tr '\000' '\012' < $f | sort ;; 2) t...
true
857e8d9b8155cd60528d2db9f9582ff2c8dcfe13
Shell
slspeek/fai-experiments
/scripts/SALE/01-tux
UTF-8
173
3.046875
3
[]
no_license
#!/bin/bash # add a demo user account if ! $ROOTCMD getent passwd tux ; then $ROOTCMD adduser --disabled-login --gecos "Tux" tux $ROOTCMD usermod -p "$TUXPW" tux fi
true
5b8a494f6c1a043b4ccd5c2cb949c4ed7df587da
Shell
pingcap/dm
/tests/generate-mock.sh
UTF-8
739
3.546875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash cur=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd) package="pbmock" which $cur/../tools/bin/mockgen >/dev/null if [ "$?" != 0 ]; then echo "'mockgen' does not exist, please run 'make tools_setup' first" exit 1 fi echo "generate grpc mock code..." cd $cur/../dm/pb for file in ./*pb.go; do prefix=$(echo...
true
f3fd5aab5e6f2663ddcab6a6dc2db626aaa88be3
Shell
tapwork/iOSAgent
/scripts/run-swiftpm-tests.sh
UTF-8
874
3.671875
4
[ "MIT" ]
permissive
#!/bin/bash set -o pipefail while [ $# -gt 0 ]; do case "$1" in --ios=*) ios_version="${1#*=}" ;; --test=*) test_env="${1#*=}" ;; *) printf "* Error: Invalid arguments.*\n" printf "Usage: --ios=[11.4|12.4|13.3] --test=[unit|integration|ui]\n" exit 1 esac shif...
true
713be32957baf24fca781600154e7c108cb31e1c
Shell
aogrcs/spatial-lang
/spatial/core/resources/chiselgen/app-level/scripts/regression_run.sh
UTF-8
806
3.1875
3
[ "MIT" ]
permissive
#!/bin/bash # $1 = branch # $2+ = args bash run.sh $2 $3 $4 $5 $6 $7 $8 $9 $10 | tee log pass_line=`cat log | grep "PASS"` if [[ ${pass_line} = *": 1"* ]]; then pass=1 elif [[ ${pass_line} = *": 0"* ]]; then pass=0 else pass="?" fi timeout_wc=`cat log | grep "TIMEOUT" | wc -l` runtime_string=`cat log | grep "Des...
true
e65bce56a39db2fec3a9c66ace0c554ccfa6a737
Shell
pietmacom/com-pietma-zarafa-postfixadmin
/usr/config-postfix
UTF-8
1,050
3.515625
4
[]
no_license
#!/bin/sh -e PHP=$(which php) MYSQL=$(which mysql) # SETTINGS FROM Postfixadmin _settings=$($PHP --no-php-ini -d open_basedir=NULL << 'EOF' <? include('/usr/share/webapps/zarafa-postfixadmin/config.inc.php'); echo $CONF['configured'] . "\n"; #1 echo $CONF['database_host'] . "\n"; #2 echo $CONF['da...
true
8282951bda4e4c7f6965ba318b759f84f1264d11
Shell
laulabbumc/MosquitoSmallRNA
/scripts/step6_srna_structure.sh
UTF-8
1,977
3.46875
3
[ "MIT" ]
permissive
#!/bin/bash source $msrg/scripts/msrg-set-env.sh source msrg-set-input.sh $1 echo "Directory: $i" echo "FASTQ file: $i.fastq" echo "Organism: $organism" echo "Adapter: $adapter" echo "Cutoff: $cutoff" echo "Window: $window" echo "Reference Dir: $refdir" #Define value of the flag # 0 for Wolbachia, 1 for virus and ...
true
f1bbe9ae2783b2d035a2a92eab97601f36ebbdfd
Shell
truenas/ports
/audio/forked-daapd/files/forked-daapd.in
UTF-8
809
3.203125
3
[ "BSD-2-Clause" ]
permissive
#!/bin/sh # PROVIDE: forked-daapd # REQUIRE: avahi_daemon dbus # KEYWORD: shutdown # # Add these lines to /etc/rc.conf.local or /etc/rc.conf # to enable this service: # # forked_daapd_enable (bool): Set to NO by default. # Set it to YES to enable forked-daapd. # forked_daapd_config (path): Set to %%PREFIX%%/etc/for...
true
1d48abf3f9f0e3e5ca3ea0baa97f3bd047a9b6fd
Shell
jdonohoo/serverless-aws-aspnetcore2
/build.sh
UTF-8
285
2.734375
3
[ "MIT" ]
permissive
#!/bin/bash HANDLERS_DIR=Handlers #build handlers dotnet restore dotnet publish -c release $HANDLERS_DIR #install zip apt-get -qq update apt-get -qq -y install zip #create deployment package pushd $HANDLERS_DIR/bin/release/netcoreapp2.0/publish zip -r ./deploy-package.zip ./* popd
true
d3f95251ad2947be4b8c126f72f8dd79a44b09a0
Shell
srilekha-b/Python_Other
/channel_postload_validations.sh
UTF-8
2,149
3.4375
3
[]
no_license
#!/bin/bash set -x basedir=/tmp tmpstmp=`date +"%m-%d-%Y-%H-%M"` file_name=channel.csv schema_file_name=channel.schema cd /tmp hadoop fs -get /lc/apps/file-import-service/scripts/${schema_file_name} header=`cat /tmp/${schema_file_name}| grep -i header| cut -d"|" -f2` channel_loaded=`hadoop fs -ls /import/root/val...
true
11e5a5c631cd33bfb1a4f758bae27de3d7f2df46
Shell
yship1002/install_infercnv
/install.sh
UTF-8
1,372
3.15625
3
[]
no_license
#!/bin/bash #Loading necessary modules for installation module load jags/4.3.0 module load R/4.1.0-intel #Loading jags automatically load gcc/4.7.4 replace it with a later version module unload gcc/4.7.4 #Get current path start_path=$(pwd) cd .. home_path=$(pwd) a="/lf_adap.c" #To calculate adap file path adap_pa...
true
af6d94d9845246d5372256b239ffd45058d2752a
Shell
AnastasiiaRadaeva/Ft_server
/srcs/autoindex.sh
UTF-8
349
2.96875
3
[]
no_license
#!/bin/bash if [[ "$1" == "off" ]]; then sed -i 's/autoindex on/autoindex off/g' /etc/nginx/sites-available/your_domain echo "autoindex off" service nginx restart elif [[ "$1" == "on" ]]; then sed -i 's/autoindex off/autoindex on/g' /etc/nginx/sites-available/your_domain echo "autoindex on" service nginx restart else e...
true
6ca7fe1c37919ffe28cc0c4c5870c4fd28a40128
Shell
hexium310/dotfiles
/config/zsh/plugins/alias.zsh
UTF-8
1,332
3.1875
3
[]
no_license
alias mv='mv -iv' alias cp='cp -iv' alias rm='rm -v' alias chown='chown -v' alias chmod='chmod -v' alias mkdir='mkdir -p' alias la='ls -a' alias ll='ls -l' alias lal='ls -al' alias sudo='sudo ' alias fd='fd --ignore-file=$XDG_CONFIG_HOME/fdignore' alias gpg='LANG=C gpg' (( $+commands[nvim] )) && alias vim='nvim' if ((...
true
2da67d53eeaf417a87fa493a2ce8aafcb22e17dd
Shell
eppidei/SCDF
/lib/FFTw3/build.sh
UTF-8
717
2.828125
3
[]
no_license
#!/bin/sh # Make sure you have NDK_ROOT defined in .bashrc or .bash_profile INSTALL_DIR="`pwd`/jni/fftw3" SRC_DIR="`pwd`/../fftw-3.2.2" cd $SRC_DIR export PATH="$NDK_ROOT/toolchains/arm-linux-androideabi-4.4.3/prebuilt/darwin-x86/bin/:$PATH" export SYS_ROOT="$NDK_ROOT/platforms/android-8/arch-arm/" export CC="arm-linux...
true
9a721a8e72464fcf267fe54e34353868b9351192
Shell
zaibon/zos
/docs/kubernetes/startup.sh
UTF-8
6,970
3.640625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash #set -Eeuo pipefail set -Eeo pipefail DEFAULT_NETWORK_RANGE="172.30" CIDR_16="${DEFAULT_NETWORK_RANGE}.0.0/16" CUR_DIR=$PWD echo "CUR_DIR:" $CUR_DIR echo "---Building tfuser cli...." cd ../../tools TOOL_DIR=$PWD make tfuser &>/dev/null TFUSER_PATH="${TOOL_DIR}/tfuser/tfuser" echo "TFUSER_PATH:" $TFUSER_PATH...
true
64b706362c0fdd62b3c5f9dde1c7c8a1383a27fd
Shell
excamera/salsify-userstudy-videocall
/ssim.sh
UTF-8
239
2.84375
3
[]
no_license
#!/bin/bash for dir in $(ls -d */); do cd $dir echo $dir if [[ ! -f ssim.log ]]; then dump_ssim -p 8 before1.y4m after1.y4m | tee ssim1.log dump_ssim -p 8 before2.y4m after2.y4m | tee ssim2.log fi cd .. done
true
b03e2fcb2290c37c86da355c54adaa40c954cd4d
Shell
forbesmyester/dotfiles
/scripts/.scripts/kx
UTF-8
622
3.65625
4
[]
no_license
#!/bin/bash show_help() { echo "$1 <TMUX_SESSION> [TMUX_WINDOW]" echo "" echo "-h = Display this help" echo "" exit 0 } while getopts "h" opt; do case "$opt" in h) show_help exit 0 ;; esac done shift $(( OPTIND - 1 )) TMUX_SESSION="$(get_direc...
true
ed9714b180abfa25b562dbd500b9a493f61385d9
Shell
igor-sadchenko/notes
/bash-scripting/basics/5_if_statments
UTF-8
140
2.734375
3
[]
no_license
#!/bin/bash num1=100 #keep in mnd tabs not necessary if [ $num1 -eq 200 ] then echo "equal to 200" else echo "not equal to 200" fi
true
3b45e39529e26076353186b60aa2740776e4e3aa
Shell
jdlehman/dotfiles
/zsh/plugins/fzf.zsh
UTF-8
2,313
3.578125
4
[ "MIT" ]
permissive
# fzf fuzzy search [ -f ~/.fzf.zsh ] && source ~/.fzf.zsh export FZF_DEFAULT_OPTS='-x -m' # Setting ag as the default source for fzf # also forces FZF to respect .gitignore export FZF_DEFAULT_COMMAND='ag -l -g ""' # Use git ls-tree when possible fzf() { if [ -n "$(git rev-parse HEAD 2> /dev/null)" ]; then FZF_D...
true
989d682c33add0f60f007cc709859cc76e652f77
Shell
notnoop/nomad-docker-cluster
/setup.sh
UTF-8
228
2.765625
3
[]
no_license
#!/usr/bin/env bash set -x nomad_version=0.10.2 url="https://releases.hashicorp.com/nomad/${nomad_version}/nomad_${nomad_version}_linux_amd64.zip" mkdir -p bin/ curl -o ./bin/nomad.zip "${url}" unzip -d ./bin ./bin/nomad.zip
true
3dec5747564c90bde7affb9b59395d77f5153426
Shell
francolmenar-unitn/Offensive-Technologies
/Snort/intermediate/DoS/scripts/attack_stopwatch.sh
UTF-8
481
3.828125
4
[]
no_license
#!/bin/bash timeout_num="110s" high_rate="100000" # 100k ############## Reading inputs ############## while [[ $# -gt 0 ]]; do key="$1" case $key in -r) # High rate high_rate="${2}" shift shift ;; *) # unknown option shift shift ;; esac done echo "Starting attack traffic for '$ti...
true
1f6f53166e98136979bf0b27fa1caaf1691e1abb
Shell
punitsoni/scratch
/vagrant-test/vagrant/systemconfig.sh
UTF-8
584
3.484375
3
[]
no_license
#!/bin/sh # This script is run as root user when vagrant machine first comes up # or when provision is initiated using "vagrant provision" command if [ $(id -u) != "0" ]; then echo "ERROR: this script must be run as root." >&2 exit 1 fi echo "[provision] system configuration" install() { echo "installing...
true
ce816d3b7893ce8a70a9db0cde9e698f6bd0d013
Shell
geoffeg/dotfiles
/roles/zsh/files/zshrc
UTF-8
2,117
2.71875
3
[ "MIT" ]
permissive
# Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc. # # Initialization code that may require console input (password prompts, [y/n] # # confirmations, etc.) must go above this block, everything else may go below. if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ...
true
9c31edb84982e817510169ff5c8037f3f8eb470b
Shell
aksl337/raw_collection
/raw.sh
UTF-8
18,594
2.9375
3
[]
no_license
#!/bin/bash RED=$(tput setaf 1) GREEN=$(tput setaf 2) BLUE=$(tput setaf 4) RESET=$(tput sgr0) echo "${GREEN} [+] Updating and installing dependencies ${RESET}" echo "" { apt-get -y update apt-get -y upgrade add-apt-repository -y ppa:apt-fast/stable < /dev/null echo debconf apt-fast/maxdownloads string 16 | debconf-s...
true
06caa4c958ca1f8e909875075e78e9c2ca349663
Shell
golint-fixer/T
/gok.sh
UTF-8
1,272
3.328125
3
[ "ISC" ]
permissive
#!/bin/sh # # Verifies that go code passes go fmt, go vet, golint, and go test. # o=$(mktemp tmp.XXXXXXXXXX) fail() { echo Failed cat $o rm $o exit 1 } trap fail INT TERM echo Formatting gofmt -l $(find . -name '*.go') 2>&1 > $o test $(wc -l $o | awk '{ print $1 }') = "0" || fail echo Vetting go vet ./... 2>&1...
true
c9d1908a8bb0dd38766af7e9c819296815271d54
Shell
fanshengshuai/f-cms
/tools/upload.sh
UTF-8
569
2.578125
3
[]
no_license
#!/bin/bash cd /data/project/sinointer.com/; echo "当前工作路径:"; pwd; #echo '导出数据...'; #mysqldump -h 192.168.2.2 -uroot -proot zs > db.sql; server_ip='119.10.58.174'; remote_path='/data/web/7k999.com/sino.7k999.com'; /bin/rm -rf src/data/*; rsync -av \ --exclude ".idea" \ --exclude='.git' \ --exclude "to...
true
e3b2540491c02a6e241b69ee21be045609302890
Shell
bioconda/bioconda-recipes
/recipes/hatchet/build.sh
UTF-8
836
3.0625
3
[ "MIT" ]
permissive
# Compile Gurobi if [[ "$OSTYPE" == "darwin"* ]]; then sudo installer -pkg gurobi9.0.2_mac64.pkg -target / export GUROBI_HOME=/Library/gurobi902 mkdir -p $PREFIX/lib cp $GUROBI_HOME/mac64/lib/libgurobi90.dylib $PREFIX/lib else # Gurobi Makefile uses a variable called 'C++' # Rename this inline...
true